> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price Publish Status By Product

> Per-product price publish status.



## OpenAPI

````yaml /openapi/merchantops-public.json get /api/pricing/records/product/{product_key}/publish-status
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/pricing/records/product/{product_key}/publish-status:
    get:
      tags:
        - Pricing
        - Pricing
        - Price Records
      summary: Get Price Publish Status By Product
      description: Per-product price publish status.
      operationId: get_price_publish_status_by_product
      parameters:
        - in: path
          name: product_key
          required: true
          schema:
            title: Product Key
            type: string
        - in: query
          name: history_limit
          required: false
          schema:
            default: 200
            maximum: 1000
            minimum: 1
            title: History Limit
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PricePublishStatusResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PricePublishStatusResponse:
      properties:
        history:
          items:
            $ref: '#/components/schemas/PricePublishHistoryEntry'
          title: History
          type: array
        product_key:
          title: Product Key
          type: string
        publishing_timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Publishing Timezone
        scheduled:
          items:
            $ref: '#/components/schemas/ScheduledPublish'
          title: Scheduled
          type: array
        skus:
          items:
            $ref: '#/components/schemas/PricePublishSkuRollup'
          title: Skus
          type: array
        targets:
          items:
            $ref: '#/components/schemas/PricePublishTarget'
          title: Targets
          type: array
        truncated:
          default: false
          title: Truncated
          type: boolean
      required:
        - product_key
        - targets
        - scheduled
        - history
        - skus
      title: PricePublishStatusResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PricePublishHistoryEntry:
      properties:
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        attempted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Attempted At
        attribution:
          anyOf:
            - $ref: '#/components/schemas/PublishAttribution'
            - type: 'null'
        effective_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Effective From
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        map_sync:
          anyOf:
            - type: string
            - type: 'null'
          title: Map Sync
        price_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Type
        record_key:
          title: Record Key
          type: string
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        status:
          title: Status
          type: string
        target_env:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Env
        target_key:
          title: Target Key
          type: string
        target_name:
          title: Target Name
          type: string
      required:
        - record_key
        - status
        - target_key
        - target_name
      title: PricePublishHistoryEntry
      type: object
    ScheduledPublish:
      properties:
        batch_key:
          title: Batch Key
          type: string
        batch_kind:
          title: Batch Kind
          type: string
        batch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Batch Name
        batch_status:
          default: approved
          title: Batch Status
          type: string
        depends_on_catalog_batch_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Depends On Catalog Batch Key
        effective_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Effective At
        effective_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Effective Date
        publishing_timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Publishing Timezone
        target_env:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Env
        target_key:
          title: Target Key
          type: string
        target_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Name
      required:
        - target_key
        - batch_key
        - batch_kind
      title: ScheduledPublish
      type: object
    PricePublishSkuRollup:
      properties:
        sku:
          title: Sku
          type: string
        targets:
          items:
            $ref: '#/components/schemas/PricePublishTarget'
          title: Targets
          type: array
      required:
        - sku
        - targets
      title: PricePublishSkuRollup
      type: object
    PricePublishTarget:
      properties:
        in_flight:
          anyOf:
            - $ref: '#/components/schemas/InFlightPublish'
            - type: 'null'
        last_attempt:
          anyOf:
            - $ref: '#/components/schemas/PricePublishFact'
            - type: 'null'
        last_success:
          anyOf:
            - $ref: '#/components/schemas/PricePublishFact'
            - type: 'null'
        name:
          title: Name
          type: string
        next_scheduled:
          anyOf:
            - $ref: '#/components/schemas/ScheduledPublish'
            - type: 'null'
        state:
          title: State
          type: string
        target_env:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Env
        target_key:
          title: Target Key
          type: string
      required:
        - target_key
        - name
        - state
      title: PricePublishTarget
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    PublishAttribution:
      properties:
        actor_display:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor Display
        actor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor Id
        approved_by_display:
          anyOf:
            - type: string
            - type: 'null'
          title: Approved By Display
        approved_by_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Approved By Id
        batch_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Batch Key
        batch_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Batch Kind
        batch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Batch Name
        job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Id
        trigger:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger
      title: PublishAttribution
      type: object
    InFlightPublish:
      properties:
        batch_key:
          title: Batch Key
          type: string
        batch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Batch Name
        job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Id
        started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Started At
      required:
        - batch_key
      title: InFlightPublish
      type: object
    PricePublishFact:
      properties:
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        attempted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Attempted At
        attribution:
          anyOf:
            - $ref: '#/components/schemas/PublishAttribution'
            - type: 'null'
        effective_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Effective From
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        map_sync:
          anyOf:
            - type: string
            - type: 'null'
          title: Map Sync
        price_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Type
        record_key:
          title: Record Key
          type: string
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        status:
          title: Status
          type: string
      required:
        - record_key
        - status
      title: PricePublishFact
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.